Name: shibboleth-embedded-ds
Version: 1.2.2
Release: 5%{?dist}
Summary: Client-side federation discovery service for SAML-based SSO
License: Apache-2.0
Vendor: Shibboleth Consortium
URL: http://shibboleth.net/
Source http://shibboleth.net/downloads/embedded-discovery-service/%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: httpd
BuildRequires: make

%description
The Embedded Discovery Service is a JS/CSS/HTML-based tool for
identity provider selection in conjunction with SAML-based web
single sign-on implementations such as Shibboleth.

%prep
%setup -q

%build


%install
%{__make} install DESTDIR=%{buildroot}

# Plug the DS into the built-in Apache.
%{__mkdir} -p %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__cp} -p %{buildroot}%{_sysconfdir}/shibboleth-ds/shibboleth-ds.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/shibboleth-ds.conf 

%post
# On upgrade, restart Apache if already running.
%{_bindir}/systemctl condrestart httpd > /dev/null 2>&1 || :

%preun
# On final removal, restart Apache if running.
%{_bindir}/systemctl condrestart httpd > /dev/null 2>&1 || :

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/shibboleth-ds
%{_sysconfdir}/shibboleth-ds/*.txt
%{_sysconfdir}/shibboleth-ds/*.gif
%config(noreplace) %{_sysconfdir}/shibboleth-ds/index.html
%config(noreplace) %{_sysconfdir}/shibboleth-ds/idpselect.css
%config(noreplace) %{_sysconfdir}/shibboleth-ds/idpselect_config.js
%config %{_sysconfdir}/shibboleth-ds/idpselect.js
%config %{_sysconfdir}/shibboleth-ds/shibboleth-ds.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/shibboleth-ds.conf

%changelog
* Sat Aug 27 2022 Jean-Marc Liger <ligenix@iscp.fr> - 1.2.0-5
- Update BR

* Tue Oct 12 2021 Jean-Marc Liger <ligenix@iscp.fr> - 1.2.0-4
- Rebuild for COPR EL8

* Mon Jun 6 2016 Scott Cantor <cantor.2@osu.edu> - 1.2.0-1|3.1
- Update version
- Fix license name

* Wed Apr 29 2015  Scott Cantor  <cantor.2@osu.edu>  - 1.1.0-1
- Update version
- Stop marking text files as configs
- Add gif to package

* Mon Apr 11 2011  Scott Cantor  <cantor.2@osu.edu>  - 1.0-1
- First version.
